{{ $.Scratch.Add "references" (slice ) }}
{{ $value := .File.Dir }}
{{ range $page := .Site.Pages }}
  {{ if in $page.RawContent $value }}
  {{ $.Scratch.Add "references" $page }}
  {{ end }}
{{ end }}

{{ if or ( $.Scratch.Get "references") (.Params.references)  }}
  <h2>Références</h2>
  <ul>
    {{ range .Params.references }}
    <li>
      {{ if .url }}
      <a href="{{ .url }}">
        {{ with .icon }}<i class="fa fa-{{ . }}"></i>{{end}}
        {{ with .title }}{{ . | markdownify }}{{ end }}
      </a>
      {{ else }}
      <span>
        {{ with .icon }}<i class="fa fa-{{ . }}"></i>{{end}}
        {{ with .title }}{{ . | markdownify }}{{ end }}
      </span>
      {{ end }}
      <p>{{ with .description}}{{ . | markdownify }}{{ end }}</p>
    </li>
    {{ end }}
    {{ range ( $.Scratch.Get "references") }}
    <li>
      <a href="{{ .RelPermalink }}">
        <i class="fa fa-file-text-o"></i>
        {{ .Title | markdownify }}
      </a>
    </li>
    {{ end }}
  </ul>
{{ end }}
